Package ghidra.app.plugin.assembler.sleigh.expr.match

# Class AnyMatcher<T extends PatternExpression>

java.lang.Object
ghidra.app.plugin.assembler.sleigh.expr.match.AbstractExpressionMatcher<T>
ghidra.app.plugin.assembler.sleigh.expr.match.AnyMatcher<T>

Type Parameters:
  `T` - the type to match

All Implemented Interfaces:
  `ExpressionMatcher<T>`

public class AnyMatcher<T extends PatternExpression> extends AbstractExpressionMatcher<T>
A matcher which accept any expression of the required type

This requires no further consideration of the expressions operands. If the type matches, the expression matches.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.app.plugin.assembler.sleigh.expr.match.ExpressionMatcher

  `ExpressionMatcher.Context`

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.expr.match.AbstractExpressionMatcher

  `ops`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnyMatcher(Class<T> cls)`
  `AnyMatcher(Set<Class<? extends T>> ops)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AnyMatcher<PatternExpression>`
  `any()`
  `protected boolean`
  `matchDetails(T expression, Map<ExpressionMatcher<?>,PatternExpression> result)`

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.expr.match.AbstractExpressionMatcher

  `expressionsIdenticallyDefined, match, opMatches, recordResult`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.plugin.assembler.sleigh.expr.match.ExpressionMatcher

  `get, match`

- ## Constructor Details

  - ### AnyMatcher

    public AnyMatcher(Set<Class<? extends T>> ops)

  - ### AnyMatcher

    public AnyMatcher(Class<T> cls)

- ## Method Details

  - ### any

    public static AnyMatcher<PatternExpression> any()

  - ### matchDetails

    protected boolean matchDetails(T expression, Map<ExpressionMatcher<?>,PatternExpression> result)
    Specified by:
      `matchDetails` in class `AbstractExpressionMatcher<T extends PatternExpression>`